Transition from feisty-commercial to partner incorrect? (was: Error during update)

Bug #154094 reported by IanO on 2007-10-18
60
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Michael Vogt

Bug Description

Binary package hint: update-manager

Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)

IanO (iossher-btinternet) wrote :
Download full text (3.4 KiB)

/var/log/dist-upgrade/main.log entry:

2007-10-18 18:44:26,680 INFO release-upgrader version '0.81' started
2007-10-18 18:44:30,871 DEBUG lsb-release: 'gutsy'
2007-10-18 18:44:30,871 DEBUG _pythonSymlinkCheck run
2007-10-18 18:44:32,130 DEBUG checkViewDepends()
2007-10-18 18:44:32,574 ERROR IOError in cache.update(): 'Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)
'. Retrying (currentRetry: 0)
2007-10-18 18:44:33,015 ERROR IOError in cache.update(): 'Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)
'. Retrying (currentRetry: 1)
2007-10-18 18:44:33,445 ERROR IOError in cache.update(): 'Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)
'. Retrying (currentRetry: 2)
2007-10-18 18:44:33,445 ERROR doUpdate() failed complettely

/var/log/dist-upgrade/main_pre_req.log entry:

2007-10-18 18:36:02,687 INFO release-upgrader version '0.81' started
2007-10-18 18:36:03,469 DEBUG lsb-release: 'gutsy'
2007-10-18 18:36:03,469 DEBUG _pythonSymlinkCheck run
2007-10-18 18:36:04,362 DEBUG checkViewDepends()
2007-10-18 18:36:04,363 DEBUG getRequiredBackports()
2007-10-18 18:36:17,711 ERROR IOError in cache.update(): 'Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)
'. Retrying (currentRetry: 0)
2007-10-18 18:38:29,305 ERROR IOError in cache.update(): 'Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)
'. Retrying (currentRetry: 1)
2007-10-18 18:38:35,602 ERROR IOError in cache.update(): 'Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)
'. Retrying (currentRetry: 2)
2007-10-18 18:38:35,603 ERROR doUpdate() failed complettely
2007-10-18 18:38:36,500 DEBUG marking 'release-upgrader-apt' for install
2007-10-18 18:38:36,609 DEBUG marking 'release-upgrader-dpkg' for install
2007-10-18 18:44:26,368 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 1 FileSize: 1924684 DestFile:'/tmp/kde-iossher/adept_managerzFRuWb.tmp-extract/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://ca.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/rele'
2007-10-18 18:44:26,369 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 1 FileSize: 1307096 DestFile:'/tmp/kde-iossher/adept_managerzFRuWb.tmp-extract/backports/release-upgrader-apt_0.6.46.4ubuntu10.3_i386.udeb' DescURI: 'http://ca.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-apt/rele'
2007-10-18 18:44:26,370 DEBUG extr...

Read more...

Same error here.

raam (bassem-atalla) wrote :

confirming same error here .

b_particle (b-particle) wrote :

Same error, just different repo:
Failed to fetch http://hendrik.kaju.pri.ee/ubuntu/dists/feisty/Release Unable to find expected entry all/binary-i386/Packages in Meta-index file (malformed Release file?)

vj.tharun (vj-tharun) wrote :

This looks like the same issue noted in Bug 154365. I too am having this problem when running the version upgrade from gutsy beta to gutsy release.

daniel2501 (daniel2501) wrote :

Same here. Doing an upgrade from gutsy beta to release.

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

This looks like the transition from feisty-commercial to the new partner repository went wrong. Could you please attach your /etc/apt/sources.list and /etc/apt/sources.list.d/feisty-commercial.list ?

Thanks,
 Michael

Changed in update-manager:
status: New → Incomplete
assignee: nobody → mvo
importance: Undecided → High

Attaching sources.list, as requested. I've been trying to upgrade from Gutsy beta, btw.

IanO (iossher-btinternet) wrote :

Attaching sources.list - do not have a feisty-commercial.list. Was upgrading from Gutsy Tribe 5. I have subsequently commented out the reference to http://archive.canonical.com/ubuntu/dists/gutsy/Release, and this stops any errors, but I now don't get the option to upgrade.

Changed in update-manager:
status: Incomplete → Confirmed
Przemek K. (azrael) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The version of Ubuntu that you were using has reached its End Of Life. Please test the latest Ubuntu version (9.10) and report a new bug if necessary.
https://help.ubuntu.com/community/ReportingBugs

Changed in update-manager (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers